This URL retrieves all the policy group.
Resource URL
GET domain/<domain_id>/policygroup
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Policy group name | String |
| Policy group description | String |
| IPS policy name | String |
| Advanced malware inbound policy name | String |
| Advanced malware outbound policy name | String |
| Connection limiting policy name | String |
| Firewall policy name | String |
| QoS inbound policy name | String |
| QoS outbound policy name | String |
| Inspection options policy name | String |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/policygroup
Response
{
“policyGroups”:
[
{
“name”: “pg1”,
“policyGroupId”: 21,
“description”: “desc1”,
“ipsPolicy”: “Default Inline IPS”,
“advancedMalwareInboundPolicy”: “Default Malware Policy”,
“advancedMalwareOutboundPolicy”: “Default Malware Policy”,
“connectionLimitingPolicy”: “Test_CLP1”,
“firewallPolicy”: “FirewallPolicy1”,
“qosInboundPolicy”: “QoSPolicyAdvanced1”
}
]
}
Error Information
Following error code is returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 4301 | Invalid domain id |